org.keycloak.exportimport

## Class ModelImporter

- java.lang.Object
- - org.keycloak.exportimport.ModelImporter

-     public class ModelImporter
      extends Object

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelImporter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ApplicationModel` | `findApplicationById(KeycloakSession keycloakSession, String applicationId)`
    `protected void` | `importApplications(KeycloakSession keycloakSession, String fileName)`
    `protected void` | `importApplicationsStep2(KeycloakSession keycloakSession, String fileName)`
    `void` | `importModel(KeycloakSession keycloakSession, ImportReader importReader)`
    `protected void` | `importOAuthClients(KeycloakSession keycloakSession, String fileName)`
    `protected void` | `importRealms(KeycloakSession keycloakSession, String fileName)`
    `protected void` | `importRealmsStep2(KeycloakSession keycloakSession, String fileName)`
    `protected void` | `importRoles(KeycloakSession keycloakSession, String fileName)`
    `void` | `importUserFailures(KeycloakSession keycloakSession, String fileName)`
    `void` | `importUsers(KeycloakSession keycloakSession, String fileName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelImporter

          public ModelImporter()

  - ### Method Detail

    - #### importModel

          public void importModel(KeycloakSession keycloakSession,
                         ImportReader importReader)

    - #### importRealms

          protected void importRealms(KeycloakSession keycloakSession,
                          String fileName)

    - #### importApplications

          protected void importApplications(KeycloakSession keycloakSession,
                                String fileName)

    - #### importRoles

          protected void importRoles(KeycloakSession keycloakSession,
                         String fileName)

    - #### importRealmsStep2

          protected void importRealmsStep2(KeycloakSession keycloakSession,
                               String fileName)

    - #### importApplicationsStep2

          protected void importApplicationsStep2(KeycloakSession keycloakSession,
                                     String fileName)

    - #### importOAuthClients

          protected void importOAuthClients(KeycloakSession keycloakSession,
                                String fileName)

    - #### findApplicationById

          protected ApplicationModel findApplicationById(KeycloakSession keycloakSession,
                                             String applicationId)

    - #### importUsers

          public void importUsers(KeycloakSession keycloakSession,
                         String fileName)

    - #### importUserFailures

          public void importUserFailures(KeycloakSession keycloakSession,
                                String fileName)

Copyright © 2014. All Rights Reserved.